Page MenuHomePhabricator

[Graph] extension fails QUnit tests due to timeout
Closed, ResolvedPublic

Description

The Graph extension fails a couple QUnit tests related to visual editor

✖ 2 tests failed

FAILED TESTS:
  ext.graph.visualEditor
    ✖ ve.ce.MWGraphNode.static
      HeadlessChrome 0.0.0 (Linux 0.0.0)  // that is chrome 66
    Test took longer than 60000ms; test timed out.
        at node_modules/qunit/qunit/qunit.js:2053:7
    

    ✖ ve.ui.TableWidget
      HeadlessChrome 0.0.0 (Linux 0.0.0)

Repro: comment check experimental on dummy change https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Graph/+/430655/

I reproduce it locally with Chrome v66 and Firefox 52

See also jQuery 3.0.0 deferred updates no more passing the context prevneting one from looking at this.state() https://github.com/jquery/jquery/issues/3060

Event Timeline

hashar created this task.Jun 26 2018, 4:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2018, 4:22 PM
hashar updated the task description. (Show Details)Jun 26 2018, 4:27 PM

I looked at ve.ui.TableWidget failure previously T151262#4253730 The test should be skipped/marked pending.

The timeout one, I havent investigated.

Change 442145 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Graph@master] VE table widget is still a work in progress

https://gerrit.wikimedia.org/r/442145

Change 442145 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] VE table widget is still a work in progress

https://gerrit.wikimedia.org/r/442145

hashar claimed this task.Jun 27 2018, 9:47 AM

Change 442259 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Graph@master] jQuery deferred callback no more have a context

https://gerrit.wikimedia.org/r/442259

hashar updated the task description. (Show Details)Jun 27 2018, 9:51 AM

Change 442259 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] jQuery deferred callback no more have a context

https://gerrit.wikimedia.org/r/442259

Change 443908 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate Graph to Quibble

https://gerrit.wikimedia.org/r/443908

Change 443908 merged by jenkins-bot:
[integration/config@master] Migrate Graph to Quibble

https://gerrit.wikimedia.org/r/443908

hashar closed this task as Resolved.Jul 5 2018, 8:09 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 5 2018, 8:09 AM